Imports System.Windows.Forms
Imports System.Data.SqlClient
Imports System.Data

Public Class Indexer
  Private db As DBase
  Private tableName As String
  Private dtable As DataTable
  Public Sub New(ByVal datab As DBase)
    db = datab
  End Sub

  Public Sub makeTable(ByVal name As String)

  End Sub

  Public Sub openTable(ByVal name As String)
    tableName = name
  End Sub

  Public Sub addTable()

  End Sub

  Public Sub createKey(ByVal keyName As String)

  End Sub

  Public Overloads Sub createColumn(ByVal colName As String, ByVal length As Integer)

  End Sub

  Public Overloads Sub createColumn(ByVal colName As String)

  End Sub

  Public Sub makeIndex(ByVal name As String, ByVal primary As Boolean)

  End Sub
End Class
